curl --request PUT \
--url https://api.revong.com/api/v1/schema/{schemaId}/fields/{metaFieldId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"version": 123,
"name": "<string>",
"category": "<string>",
"desc": "<string>",
"lazy": true,
"lazyId": "<string>",
"lazyType": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"rowGroup": true,
"editable": true,
"required": true,
"hide": true,
"filter": true,
"sortable": true,
"order": 123,
"restricted": true,
"active": true,
"groups": [
"<string>"
],
"users": [
"<string>"
],
"pinned": "<string>",
"pivot": true,
"fontColor": "<string>",
"backgroundColor": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>",
"order": 123
}
]
}
'import requests
url = "https://api.revong.com/api/v1/schema/{schemaId}/fields/{metaFieldId}"
payload = {
"version": 123,
"name": "<string>",
"category": "<string>",
"desc": "<string>",
"lazy": True,
"lazyId": "<string>",
"lazyType": "<string>",
"prefix": "<string>",
"suffix": "<string>",
"rowGroup": True,
"editable": True,
"required": True,
"hide": True,
"filter": True,
"sortable": True,
"order": 123,
"restricted": True,
"active": True,
"groups": ["<string>"],
"users": ["<string>"],
"pinned": "<string>",
"pivot": True,
"fontColor": "<string>",
"backgroundColor": "<string>",
"options": [
{
"name": "<string>",
"value": "<string>",
"order": 123
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
version: 123,
name: '<string>',
category: '<string>',
desc: '<string>',
lazy: true,
lazyId: '<string>',
lazyType: '<string>',
prefix: '<string>',
suffix: '<string>',
rowGroup: true,
editable: true,
required: true,
hide: true,
filter: true,
sortable: true,
order: 123,
restricted: true,
active: true,
groups: ['<string>'],
users: ['<string>'],
pinned: '<string>',
pivot: true,
fontColor: '<string>',
backgroundColor: '<string>',
options: [{name: '<string>', value: '<string>', order: 123}]
})
};
fetch('https://api.revong.com/api/v1/schema/{schemaId}/fields/{metaFieldId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update field.
ROLES: SCHEMA_WRITE,SCHEMA_ADMIN USER: true SERVICE ACCOUNT: true
Authorizations
Bearer token with Platform JWT token or API Key.
Body
You must provide current version.
Name.
Category.
Description.
You need to specify field type [Text,Integer,Numeric,Quantity,DateTime,Boolean,Single,Multi,URL,Phone,Mail,Groups,Users,Created Time,Created By,Last Update Time,Last Update By,Resources,Key,ResourcesItems,Percent,Money,Version].
Text, Integer, Numeric, Quantity, DateTime, Boolean, Single, Multi, URL, Phone, Mail, Groups, Users, Created Time, Created By, Last Update Time, Last Update By, Resources, Key, ResourcesItems, Percent, Money, Version Specify if lazy loading is enabled (e.g. list, dropdown options and more).
lazyId.
Description.
Prefix of value, for example of Money you can specify currency e.g. $ 123,40
Suffix of value, for example of Money you can specify currency e.g. 123,40 PLN
Select if row group is enabled.
Select if should be editable (e.g. row change).
You need to specific if field will be required to fill.
Select if should be hidden by default.
Select if should be filtered.
Select if should be sortable.
You can specify order of an field.
Provide if access should be restricted.
Provide if should be active/visible to users.
Provide which groups should have access to it, once restricted is true.
Provide which users should have access to it, once restricted is true.
Mark if should be pinned (left or right).
Specify if Pivot is enabled by default.
Global font color of the field value.
Global background color of the field.
Provide value options (1-300).
Show child attributes
Show child attributes
Response
OK.

